               page      60,132
name           hhmm
               title     HHMM 1.5
Comment 
HHMM.com Displays DOS time in form HH:MM without a CrLf
uses 24 hour time
Please report bugs and problems to:
Roedy Green
Canadian Mind Products
#101 - 2536 Wark Street
Victoria, BC Canada V8T 4G8
tel:(250) 361-9093
mailto:roedyg@mindprod.com
http://mindprod.com
YYYYMMDD.com Displays time in form HH:MM without a CrLf
You can put an optional separator on the command line.
On the command line, or in a bat file type:
e.g. HHMM -
       gives 23-59
     HHMM none
       gives 2359
     HHMM space
       gives 23 59
     HHMM .
       gives 23.59
     HHMM
       gives 23:59
Version history
1.0 1991-12-20
- released on BIX
1.1 1993-06-11
- new address
1.2 1996-10 25
- embed POB 707 Quathiaski Cove address
1.3 1998-11-08
- embed Barker address
1.4 2001-01-05
- add optional separator on command line
1.5 2009-03-13
- add ANT build script.
- bundled with YYYYMMDD
;==============================================================
;       R E G I S T E R   C O N V E N T I O N S
Subroutines may trash any registers they please except CS: DS:
ES: SS: and of course the outputs.
                                        ; end of comment
;==============================================================
stack          segment   stack          ; keep MS link happy by providing null stack
stack          ends
;==============================================================
CODE           segment   PARA           ; start off in code.
;==============================================================
data           segment   word           ; provide a separate DATA segment
                                        ; Even though it appears in the source
                                        ; before the code, it the COM file it
                                        ; will appear at the end.  This is as dodge
                                        ; to avoid forward references that confuse
                                        ; MASM.
Separator      db        ':','$'        ; separator we use hh:mm
                                        ;"$$" means none.
;       embedded but not displayed
CopyrightMsg   label     byte
               db        13,10
               db        ' HHMM 1.5 ۲',13,10
               db        'Copyright: (c) 1991-2017 Roedy Green, Canadian Mind Products',13,10
               db        '#101 - 2536 Wark Street, Victoria, BC Canada V8T 4G8',13,10
               db        'tel:(250) 361-9093   mailto:roedyg@mindprod.com   http://mindprod.com',13,10
               db        'May be freely distributed and used for any purpose except military.',13,10
               db        '$'
Data           ends
;==============================================================
com            group     code,data      ; force data segment to go at the end
               assume    CS:com,DS:com,ES:com,SS:com
                                        ; seg regs cover everything
               org       100H           ; in Code segment
;==============================================================
;       P R O C E D U R E S
Main           proc      near
;       see page 386 Ray Duncan's Advanced MS DOS
               call      getSep         ; decide on separator to display date with.
               mov       ah,02ch        ; get date TIME function
               int       21h
                                        ; CH = hours
                                        ; CL = minutes
                                        ; DH = seconds
                                        ; DL = deciseconds
               mov       bx,cx          ; save copy of hours:min
               sub       ax,ax
               mov       al,bh          ; display hours
               mov       cx,2           ; 2 digits
               call      SayNDigits
               call      SaySep         ; separate HH:MM
               sub       ax,ax          ; display minutes, 2 digits
               mov       al,bl
               mov       cx,2
               call      SayNDigits
               mov       ax, 4c00h      ; ERRORLEVEL = 0
               int       21h            ; normal exit to dos
Main           endp
;==============================================================
include        ymdinc.asm
;============================================
CODE           ends                     ; end of code segment
               end       Main
